## vitetris 0.58.0

=== Makefile ===
include config.mk

PROGNAME = tetris$(EXE)

# Uncomment to change the default.  (Only used in Unix-like systems.)
#HISCORE_FILENAME = /var/games/vitetris-hiscores

INSTALL = install -oroot -groot

default: build
	@echo Done.
	@echo 'Now run ./$(PROGNAME) (or make install)'

$(PROGNAME):
	$(MAKE) build

build: src/src-conf.mk
	cd src; $(MAKE) tetris
	mv -f src/tetris$(EXE) $(PROGNAME)
	@echo stripping symbols to reduce program size:
	-strip --strip-all $(PROGNAME)

gameserver: src/netw/gameserver.c
	cd src/netw; $(MAKE) gameserver
	mv -f src/netw/gameserver .

src/src-conf.mk: config.mk Makefile src-conf.sh
	@echo generating $@
	./src-conf.sh '$(CC)' '$(CFLAGS)' '$(CPPFLAGS)'
	./src-conf.sh def TWOPLAYER $(TWOPLAYER)
	./src-conf.sh obj tetris2p $(TWOPLAYER)
	./src-conf.sh def JOYSTICK $(JOYSTICK)
	./src-conf.sh obj joylinux $(JOYSTICK)
	./src-conf.sh obj select $(UNIX)
	./src-conf.sh set BACKEND curses $(CURSES)
	./src-conf.sh def CURSES $(CURSES)
	./src-conf.sh set CURSES_INC "$(CURSES_INC)" $(CURSES)
	./src-conf.sh set BACKEND ansi -z $(CURSES)$(ALLEGRO)
	./src-conf.sh set BACKEND allegro $(ALLEGRO)
	./src-conf.sh def ALLEGRO $(ALLEGRO)
	./src-conf.sh def XLIB $(XLIB)
	./src-conf.sh def TERM_RESIZING $(TERM_RESIZING)
	./src-conf.sh def NO_MENU -z $(MENU)
	./src-conf.sh lib menuext $(MENU)
	./src-conf.sh def NO_BLOCKSTYLES -z $(BLOCKSTYLES)
	./src-conf.sh lib netw $(NETWORK)
	./src-conf.sh def SOCKET $(NETWORK)
	./src-conf.sh def INET $(NETWORK)
	./src-conf.sh obj inet $(NETWORK)
	./src-conf.sh def TTY_SOCKET "$(NETWORK)" -a $(TTY_SOCKET)
	./src-conf.sh obj tty_socket "$(NETWORK)" -a $(TTY_SOCKET)
	./src-conf.sh set DHISCORE_FILENAME "-D'HISCORE_FILENAME=\"$(HISCORE_FILENAME)\"'" $(HISCORE_FILENAME)
	./src-conf.sh def PCTIMER $(PCTIMER)
	./src-conf.sh obj pctimer $(PCTIMER)

install: $(PROGNAME)
	$(INSTALL) -d $(DESTDIR)$(bindir) $(DESTDIR)$(docdir)
	$(INSTALL) -m755 $(PROGNAME) $(DESTDIR)$(bindir)
	$(INSTALL) -m644 README licence.txt $(DESTDIR)$(docdir)
	if [ -n "$(pixmapdir)" ]; then \
  $(INSTALL) -d $(DESTDIR)$(pixmapdir) && \
  $(INSTALL) -m644 vitetris.xpm $(DESTDIR)$(pixmapdir); fi
	if [ -n "$(desktopdir)" ]; then \
  $(INSTALL) -d $(DESTDIR)$(desktopdir) && \
  $(INSTALL) -m644 vitetris.desktop $(DESTDIR)$(desktopdir); fi
	if [ -n "$(ALLEGRO)" ]; then \
  $(INSTALL) -d $(DESTDIR)$(datadir) && \
  $(INSTALL) -m644 pc8x16.fnt $(DESTDIR)$(datadir); fi
	@echo Done.
	@echo You may also wish to create the system-wide highscore file
	@echo 'with "make install-hiscores"'.

install-hiscores:
	@HS_FN=$(HISCORE_FILENAME); \
	if [ -z "$$HS_FN" ]; then HS_FN=/var/games/vitetris-hiscores; fi; \
	HS_FN="$(DESTDIR)$$HS_FN"; \
	echo $(INSTALL) -d $${HS_FN%/*};  $(INSTALL) -d "$${HS_FN%/*}" && \
	echo touch $$HS_FN &&             touch "$$HS_FN" && \
	echo chgrp games $$HS_FN &&       chgrp games "$$HS_FN" && \
	echo chmod g+w $$HS_FN &&         chmod g+w "$$HS_FN"

uninstall:
	rm -f $(bindir)/$(PROGNAME)
	rm -f $(docdir)/README
	rm -f $(docdir)/licence.txt
	rmdir $(docdir)
	test -z "$(pixmapdir)" || rm -f $(pixmapdir)/vitetris.xpm
	-rmdir "$(pixmapdir)"
	test -z "$(desktopdir)" || rm -f $(desktopdir)/vitetris.desktop
	-rmdir "$(desktopdir)"
	-rm -f $(datadir)/pc8x16.fnt
	-rmdir $(datadir)
clean:
	rm -f systest systest.exe
	cd src; $(MAKE) clean

.PHONY: default build install install-hiscores uninstall clean

=== src/draw/Makefile ===
include ../src-conf.mk

OBJS = draw.o draw_menu.o draw2p.o draw2p_menu.o
HEADERS = draw.h internal.h ../textgfx/textgfx.h

draw.a: $(OBJS)
	ar rs draw.a $(OBJS)

draw.o: draw.c $(HEADERS) ../game/tetris.h ../hiscore.h \
			  ../netw/sock.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DTWOPLAYER) $(DSOCKET) -c draw.c

draw_menu.o: draw_menu.c $(HEADERS) ../version.h
	$(CC) $(CCFLAGS)      -c draw_menu.c

draw2p.o: draw2p.c $(HEADERS) ../game/tetris.h
	$(CC) $(CCFLAGS) -I.. -c draw2p.c

draw2p_menu.o: draw2p_menu.c $(HEADERS)
	$(CC) $(CCFLAGS)      -c draw2p_menu.c

clean:
	rm -f draw.a $(OBJS)
	rm -f draw_~4s.o draw2~z2.o

.PHONY: clean

=== src/netw/Makefile ===
include ../src-conf.mk

OBJS = socket.o comm.o $(inet_obj) $(tty_socket_obj)
config_h = ../config.h ../config2.h

all: $(netw_lib)$(inet_obj)

netw.ainet.o: $(OBJS) comm_inet.o
	-ar dc netw.a no_inet.o
	ar rs netw.a $(OBJS) comm_inet.o

netw.a: $(OBJS) no_inet.o ../src-conf.mk
	-ar dc netw.a inet.o comm_inet.o
	ar rs netw.a $(OBJS) no_inet.o

socket.o: socket.c sock.h internal.h ../input/input.h $(config_h)

comm.o: comm.c sock.h ../game/tetris.h ../game/tetris2p.h \
		      ../input/input.h ../draw/draw.h

comm_inet.o: comm_inet.c sock.h ../game/tetris.h

inet.o: inet.c sock.h internal.h $(config_h)

tty_socket.o: tty_socket.c sock.h internal.h
	$(CC) $(CCFLAGS)      -c tty_socket.c

no_inet.o: no_inet.c sock.h
	$(CC) $(CCFLAGS)      -c no_inet.c

.c.o:
	$(CC) $(CCFLAGS) -I.. -c $<

gameserver: gameserver.c
	$(CC) $(CCFLAGS) -o gameserver gameserver.c

clean:
	rm -f netw.a socket.o comm.o comm_inet.o inet.o tty_socket.o no_inet.o
	rm -f gameserver

.PHONY: all netw.ainet.o clean

## vitetris 0.57.2

=== debian/changelog ===
vitetris (0.57.2-2) unstable; urgency=medium

  * Rename binary to vitetris (Closes: #911053)
  * Rename manpage to vitetris
  * Fix desktop entry
  * Fix implicit declaration on netplay.c
  * Add source README to package

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Mon, 15 Oct 2018 22:50:19 +0200

vitetris (0.57.2-1) unstable; urgency=medium

  * Initial release (Closes: #909968)

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Sun, 30 Sep 2018 22:16:37 +0200

=== debian/control ===
Source: vitetris
Section: games
Priority: optional
Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.1
Homepage: http://www.victornils.net/tetris/
Vcs-Browser: https://salsa.debian.org/lyknode-guest/vitetris
Vcs-Git: https://salsa.debian.org/lyknode-guest/vitetris.git

Package: vitetris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Virtual terminal *tris clone
 Vitetris is a terminal-based Tetris game. It can be played by one or two
 players, over the network or on the same keyboard.
 .
 Vitetris comes with more features and options than might be expected from
 a simple text mode game. Full input control, customizable appearance,
 netplay where both players can choose difficulty (level and height) --
 unless you must have sound (or just don't like Tetris), you won't be
 disappointed.
 .
 Rotation, scoring, levels and speed should resemble the early Tetris games
 by Nintendo, with the addition of a short lock delay which makes it
 possible to play at higher levels. (It does not make it possible to
 prevent the piece from ever locking by abusing lock delay resets.)

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --bindir=/usr/games

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/vicgeralds/vitetris/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## vitetris 0.58.0

=== debian/changelog ===
vitetris (0.58.0-2) unstable; urgency=medium

  [ Baptiste BEAUPLAT ]
  * Update to policy version 4.4.1 - no changes
  * Remove explicit ownership for installed files
  * Add Rules-Requires-Root: no to d/control
  * Add keyworks entry to desktop file
  * Use https version of the URL for Homepage
  * Add Upstream-Contact to d/copyright

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply CC. (Closes: #948072)

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Fri, 03 Jan 2020 20:44:23 +0100

vitetris (0.58.0-1) unstable; urgency=medium

  * New upstream version 0.58.0
  * Drop patches applied upstream:
    - 0005-fix-implicit-declaration.patch
    - 0002-fix-insecure-printf.patch
  * d/watch: Remove leftover from dh_make template

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Tue, 12 Mar 2019 18:40:50 +0100

vitetris (0.57.2-3) unstable; urgency=medium

  * Convert repo to DEP-14
  * Move binary stripping from Makefile to debhelper
  * Bump policy version to 4.3.0
  * Bump debian-compat to 12. Remove debian/compat

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Thu, 07 Mar 2019 18:31:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: games
 Priority: optional
 Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
-Homepage: http://www.victornils.net/tetris/
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.1
+Homepage: https://www.victornils.net/tetris/
 Vcs-Browser: https://salsa.debian.org/lyknode-guest/vitetris
 Vcs-Git: https://salsa.debian.org/lyknode-guest/vitetris.git
+Rules-Requires-Root: no
 
 Package: vitetris
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
+-include /usr/share/dpkg/buildtools.mk
+export CC
+
 %:
 	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%vitetris-$1.tar.gz%" \
   https://github.com/vicgeralds/vitetris/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## vitetris 0.59.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Uncomment to change the default.  (Only used in Unix-like systems.)
 #HISCORE_FILENAME = /var/games/vitetris-hiscores
 
-INSTALL = install -oroot -groot
+INSTALL = install
 
 default: build
 	@echo Done.

=== src/Makefile ===
include ../config.mk
include src-conf.mk

OBJS = main.o cmdline.o cfgfile.o options.o hiscore.o lang.o \
       timer.o $(pctimer_obj) focus.o
#OBJS += ../icon.o

tetris: $(OBJS) libs ../config.mk
	$(CC) -o tetris $(OBJS) game.a $(menuext_lib) menu.a $(netw_lib) input.a draw.a textgfx.a $(LDFLAGS) $(LDLIBS)

main.o: main.c timer.h cfgfile.h options.h lang.h focus.h \
	textgfx/textgfx.h input/input.h game/tetris.h game/game.h \
	menu/menuext.h netw/sock.h config.h src-conf.mk
	$(CC) $(CCFLAGS) -I. $(DTWOPLAYER) $(DSOCKET) $(DINET) $(DTTY_SOCKET) $(DNO_MENU) $(DTERM_RESIZING) $(DXLIB) $(DALLEGRO) -c main.c

#cmdline.o: cmdline-empty.c
#	$(CC) $(CCFLAGS) -c -ocmdline.o cmdline-empty.c 

cmdline.o: cmdline.c version.h config.h config2.h options.h cfgfile.h \
	   lang.h game/game.h textgfx/textgfx.h src-conf.mk
	$(CC) $(CCFLAGS) -I. $(DTWOPLAYER) $(DJOYSTICK) $(DCURSES) $(DALLEGRO) $(DSOCKET) $(DINET) $(DTTY_SOCKET) $(DNO_MENU) $(DNO_BLOCKSTYLES) $(DHISCORE_FILENAME) -c cmdline.c

cfgfile.o: cfgfile.c cfgfile.h options.h hiscore.h input/input.h \
	   input/keyboard.h input/joystick.h draw/draw.h src-conf.mk
	$(CC) $(CCFLAGS) -I. $(DTWOPLAYER) $(DJOYSTICK) $(DCURSES) $(DALLEGRO) -c cfgfile.c 

options.o: options.c options.h

hiscore.o: hiscore.c hiscore.h cfgfile.h lang.h game/tetris.h src-conf.mk
	$(CC) $(CCFLAGS) -I. $(DHISCORE_FILENAME) -c hiscore.c 

lang.o: lang.c lang.h

timer.o: timer.c timer.h pctimer.h config.h config2.h ../config.mk src-conf.mk
	$(CC) $(CCFLAGS) $(DPCTIMER) $(PCTIMER_INC) $(DALLEGRO) -c timer.c

pctimer.o: ../$(PCTIMER).c ../$(PCTIMER).h ../config.mk src-conf.mk
	$(CC) $(CCFLAGS) $(PCTIMER_INC) -c -opctimer.o ../$(PCTIMER).c

focus.o: focus.c focus.h ../config.mk src-conf.mk
	$(CC) $(CCFLAGS) $(DXLIB) $(XLIB_INC) $(DALLEGRO) -c focus.c

../icon.o: ../icon.rc
	cd ..; windres icon.rc icon.o

.c.o:
	$(CC) $(CCFLAGS) -c $<

libs: gamea menua netwa inputa drawa textgfxa
	mv -f game/game.a .
	mv -f menu/*.a .
	-mv -f netw/netw.a .
	mv -f input/input.a .
	mv -f draw/draw.a .
	mv -f textgfx/textgfx.a .

gamea:
	$(MAKE) -Cgame
menua:
	$(MAKE) -Cmenu
netwa:
	$(MAKE) -Cnetw
inputa:
	$(MAKE) -Cinput $(INPUT_SYS)
drawa:
	$(MAKE) -Cdraw
textgfxa:
	$(MAKE) -Ctextgfx

clean:
	rm -f tetris tetris.exe $(OBJS) pctimer.o
	rm -f game.a menu.a menuext.a netw.a input.a draw.a textgfx.a
	$(MAKE) -Cgame clean
	$(MAKE) -Cmenu clean
	$(MAKE) -Cnetw clean
	$(MAKE) -Cinput clean
	$(MAKE) -Cdraw clean
	$(MAKE) -Ctextgfx clean

.PHONY: libs gamea menua netwa inputa drawa textgfxa clean

=== src/game/Makefile ===
include ../src-conf.mk

OBJS = tetris.o $(tetris2p_obj) game.o wonlost.o
HEADERS = tetris.h ../timer.h ../input/input.h ../draw/draw.h

game.a: $(OBJS)
	ar rs game.a $(OBJS)

tetris.o: tetris.c $(HEADERS)
	$(CC) $(CCFLAGS) -I..  -c tetris.c

tetris2p.o: tetris2p.c tetris2p.h $(HEADERS) ../netw/sock.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DSOCKET) -c tetris2p.c

game.o: game.c game.h tetris.h tetris2p.h ../options.h ../input/input.h \
	../netw/sock.h ../hiscore.h ../menu/menu.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DTWOPLAYER) $(DJOYSTICK) $(DSOCKET) $(DNO_MENU) -c game.c

wonlost.o: wonlost.c game.h ../options.h
	$(CC) $(CCFLAGS) -c wonlost.c

clean:
	rm -f game.a tetris.o tetris2p.o game.o wonlost.o

.PHONY: clean

=== src/input/Makefile ===
include ../src-conf.mk

OBJS = input.o keyboard.o joystick.o playerin.o

default: $(BACKEND)

unixterm: $(OBJS) inp_unixterm.o escseq.o select.o $(joylinux_obj)
	rm -f input.a
	ar rcs input.a $(OBJS) inp_unixterm.o escseq.o select.o $(joylinux_obj)

curses: $(OBJS) inp_curses.o $(joylinux_obj) $(select_obj)
	rm -f input.a
	ar rcs input.a $(OBJS) inp_curses.o $(joylinux_obj) $(select_obj)

conio: $(OBJS) inp_con.o
	rm -f input.a
	ar rcs input.a $(OBJS) inp_con.o

allegro: $(OBJS) inp_allegro.o $(select_obj)
	rm -f input.a
	ar rcs input.a $(OBJS) inp_allegro.o $(select_obj)

input.o: input.c input.h keyboard.h joystick.h \
	 ../timer.h ../draw/draw.h ../game/tetris.h ../netw/sock.h \
	 ../textgfx/textgfx.h ../focus.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DTWOPLAYER) $(DJOYSTICK) $(DSOCKET) $(DTTY_SOCKET) $(DNO_MENU) $(DTERM_RESIZING) $(DXLIB) $(DALLEGRO) -c input.c

keyboard.o: keyboard.c keyboard.h input.h escseq.h \
		../config.h ../config2.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DTWOPLAYER) $(DCURSES) $(DALLEGRO) -c keyboard.c

joystick.o: joystick.c joystick.h input.h ../timer.h
joylinux.o: joylinux.c joystick.h input.h ../timer.h ../options.h

inp_unixterm.o: inp_unixterm.c termin.h keyboard.h escseq.h input.h select.h \
		joystick.h ../src-conf.mk
	$(CC) $(CCFLAGS) $(DJOYSTICK) $(DSOCKET) -c inp_unixterm.c

escseq.o: escseq.c escseq.h input.h termin.h ../src-conf.mk
	$(CC) $(CCFLAGS) $(DTWOPLAYER) -c escseq.c

select.o: select.c select.h input.h ../textgfx/textgfx.h \
		../config.h ../config2.h
	$(CC) $(CCFLAGS) -I.. -c select.c

inp_curses.o: inp_curses.c termin.h  keyboard.h  input.h
	$(CC) $(CCFLAGS) $(CURSES_INC) -c inp_curses.c

inp_con.o   : inp_con.c    termin.h  keyboard.h  input.h

inp_allegro.o: inp_allegro.c keyboard.h joystick.h input.h \
		../timer.h ../game/tetris.h ../textgfx/textgfx.h \
		../textgfx/alleg.h ../config.h
	$(CC) $(CCFLAGS) -I.. -c inp_allegro.c

playerin.o: playerin.c input.h ../options.h

.c.o:
	$(CC) $(CCFLAGS) -c $<

clean:
	rm -f input.a *.o
	rm -f inp_c~70.o inp_a~m7.o

.PHONY: default unixterm curses con allegro clean

=== src/menu/Makefile ===
include ../src-conf.mk

OBJS = menucore.o dropdown.o inputset.o inputdev.o \
       gamemenu.o gm_2p.o gm_sock.o \
       hslist.o gameover.o

EXT_OBJS = startup.o invit.o netplay.o \
	   optsmenu.o blockstyle.o men_$(BACKEND).o

HEADERS = menu.h ../input/input.h ../textgfx/textgfx.h

all: menu.a $(menuext_lib)

menu.a: $(OBJS)
	ar rs menu.a $(OBJS)

menuext.a: $(EXT_OBJS)
	rm -f menuext.a
	ar rcs menuext.a $(EXT_OBJS)

menucore.o: menucore.c $(HEADERS) ../src-conf.mk
	$(CC) $(CCFLAGS) $(DNO_MENU) -c menucore.c 

dropdown.o: dropdown.c $(HEADERS) ../draw/draw.h
	$(CC) $(CCFLAGS)  -c dropdown.c

inputset.o: inputset.c $(HEADERS) internal.h \
	    ../draw/draw.h ../lang.h ../src-conf.mk
	$(CC) $(CCFLAGS) $(DTWOPLAYER) $(DJOYSTICK) $(DNO_MENU) -c inputset.c

inputdev.o: inputdev.c $(HEADERS) internal.h ../options.h ../src-conf.mk
	$(CC) $(CCFLAGS) $(DTWOPLAYER) $(DNO_MENU)  -c inputdev.c

gamemenu.o: gamemenu.c menu.h internal.h ../input/input.h ../game/tetris.h \
	    ../lang.h ../options.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DTWOPLAYER) $(DJOYSTICK) $(DSOCKET) -c gamemenu.c

gm_2p.o: gm_2p.c $(HEADERS) internal.h ../draw/draw.h
	$(CC) $(CCFLAGS)      -c gm_2p.c

gm_sock.o: gm_sock.c $(HEADERS) internal.h ../netw/sock.h ../draw/draw.h \
					 ../game/tetris.h ../game/game.h
	$(CC) $(CCFLAGS) -I.. -c gm_sock.c

hslist.o: hslist.c $(HEADERS) ../hiscore.h
	$(CC) $(CCFLAGS) -I.. -c hslist.c

gameover.o: gameover.c $(HEADERS) ../hiscore.h ../draw/draw.h ../game/tetris.h
	$(CC) $(CCFLAGS) -I.. -c gameover.c

startup.o: startup.c menu.h menuext.h ../options.h ../game/tetris.h \
							../src-conf.mk
	$(CC) $(CCFLAGS) -I.. -c startup.c $(DINET)

invit.o: invit.c $(HEADERS) menuext.h ../draw/draw.h ../netw/sock.h
	$(CC) $(CCFLAGS)  -c invit.c

netplay.o: netplay.c $(HEADERS) menuext.h ../netw/sock.h ../options.h
	$(CC) $(CCFLAGS)  -c netplay.c

optsmenu.o: optsmenu.c menu.h menuext.h ../input/input.h ../textgfx/textgfx.h \
	    ../draw/draw.h ../options.h ../lang.h ../src-conf.mk
	$(CC) $(CCFLAGS) $(DTWOPLAYER) $(DNO_BLOCKSTYLES) -c optsmenu.c

blockstyle.o: blockstyle.c menu.h menuext.h ../textgfx/textgfx.h ../options.h
	$(CC) $(CCFLAGS)  -c blockstyle.c

men_ansi.o: men_ansi.c menu.h menuext.h ../draw/draw.h ../game/tetris.h \
	    ../textgfx/textgfx.h ../textgfx/ansivt.h ../lang.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DTWOPLAYER) $(DTTY_SOCKET) $(DINET) $(DNO_BLOCKSTYLES) -c men_ansi.c

men_curses.o: men_curses.c menu.h menuext.h ../draw/draw.h ../game/tetris.h \
	      ../textgfx/textgfx.h ../textgfx/curs.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(CURSES_INC) $(DTWOPLAYER) $(DINET) $(DTTY_SOCKET) $(DNO_BLOCKSTYLES) -c men_curses.c

men_allegro.o: men_allegro.c menu.h menuext.h ../draw/draw.h ../game/tetris.h \
	       ../textgfx/textgfx.h ../input/input.h ../options.h \
	       ../config.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DTWOPLAYER) $(DTTY_SOCKET) $(DINET) $(DNO_BLOCKSTYLES) -c men_allegro.c

clean:
	rm -f menu.a menuext.a $(OBJS)
	rm -f $(EXT_OBJS)
	rm -f men_ansi.o men_curses.o men_allegro.o
	rm -f block~wv.o men_c~9i.o men_a~ol.o

.PHONY: all clean

=== src/textgfx/Makefile ===
include ../src-conf.mk

OBJS = block.o win.o print.o ibmgfx.o \
       $(BACKEND).o $(BACKEND)_win.o term.o resize.o

textgfx.a: $(OBJS)
	rm -f textgfx.a
	ar rcs textgfx.a $(OBJS)

term.o: term.c textgfx.h ../options.h ../config.h
	$(CC) $(CCFLAGS) -I.. -c term.c

block.o: block.c textgfx.h ../options.h ../src-conf.mk
	$(CC) $(CCFLAGS) $(DNO_BLOCKSTYLES) -c block.c

win.o: win.c textgfx.h ../draw/draw.h ../game/tetris.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DTWOPLAYER) $(DNO_MENU) -c win.c

print.o: print.c textgfx.h
	$(CC) $(CCFLAGS)  -c print.c

ibmgfx.o: ibmgfx.c
	$(CC) $(CCFLAGS)  -c ibmgfx.c

ansi.o: ansi.c ansivt.h textgfx.h ../input/termin.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DNO_MENU) $(DNO_BLOCKSTYLES) -c ansi.c

ansi_win.o: ansi_win.c ansivt.h textgfx.h \
		../game/tetris.h ../draw/draw.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(DTWOPLAYER) $(DNO_MENU) -c ansi_win.c

curses.o: curses.c curs.h textgfx.h ../input/termin.h
	$(CC) $(CCFLAGS) $(CURSES_INC) -c curses.c

curses_win.o: curses_win.c curs.h textgfx.h \
		../game/tetris.h ../draw/draw.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(CURSES_INC) $(DTWOPLAYER) $(DNO_MENU) -c curses_win.c

allegro.o: allegro.c textgfx.h alleg.h ../options.h ../lang.h ../config.h
	$(CC) $(CCFLAGS) -I.. -c allegro.c

allegro_win.o: allegro_win.c textgfx.h alleg.h allegro_icon.h \
		../game/tetris.h ../draw/draw.h ../config.h
	$(CC) $(CCFLAGS) -I.. -c allegro_win.c

resize.o: resize.c textgfx.h curs.h \
		../game/tetris.h ../draw/draw.h ../src-conf.mk
	$(CC) $(CCFLAGS) -I.. $(CURSES_INC) $(DTWOPLAYER) $(DNO_MENU) $(DCURSES) $(DTERM_RESIZING) $(DSOCKET) -c resize.c

clean:
	rm -f textgfx.a $(OBJS)
	rm -f ansi.o ansi_win.o curses.o curses_win.o allegro.o allegro_win.o
	rm -f curse~60.o alleg~jn.o

.PHONY: clean

=== debian/changelog ===
vitetris (0.59.1-1) unstable; urgency=medium

  * New upstream version 0.59.1
  * Update manpage version

 -- Baptiste Beauplat <lyknode@cilg.org>  Sun, 27 Dec 2020 11:06:10 +0100

vitetris (0.59.0-1) unstable; urgency=medium

  * New upstream version 0.59.0
  * Rediff patches (renumbered):
    + Drop 0004-add-comment-desktop: applied upstream
    + Drop 0005-Remove-explicit-ownership-for-installed-files: applied
      upstream
    + Drop 0006-add-keyworks-entry-to-desktop-file.patch: applied upstream
  * Update version in manpage
  * Fix wrong highscore path in manpage

 -- Baptiste Beauplat <lyknode@cilg.org>  Sat, 12 Dec 2020 20:44:13 +0100

vitetris (0.58.0-5) unstable; urgency=medium

  * Cleanup generated and remove modified files after a build
  * Fix my last name in d/copyright
  * Bump Standard-Version to 4.5.1: no changes

 -- Baptiste Beauplat <lyknode@cilg.org>  Sat, 28 Nov 2020 11:22:13 +0100

vitetris (0.58.0-4) unstable; urgency=medium

  * Bump debhelper-compat (= 13): remove -Wl,--as-needed from d/rules
  * Add salsa CI pipeline
  * Set my last name as lowercase in Maintainer field
  * Add forwarded links to upstream patches

 -- Baptiste Beauplat <lyknode@cilg.org>  Sun, 25 Oct 2020 15:08:58 +0100

vitetris (0.58.0-3) unstable; urgency=medium

  * Vcs fields updated (project moved to debian group on salsa)
  * Bump std version to 4.5.0: no changes
  * Add upstream metedata

 -- Baptiste BEAUPLAT <lyknode@cilg.org>  Mon, 20 Apr 2020 11:44:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: vitetris
 Section: games
 Priority: optional
-Maintainer: Baptiste BEAUPLAT <lyknode@cilg.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Maintainer: Baptiste Beauplat <lyknode@cilg.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Homepage: https://www.victornils.net/tetris/
-Vcs-Browser: https://salsa.debian.org/lyknode-guest/vitetris
-Vcs-Git: https://salsa.debian.org/lyknode-guest/vitetris.git
+Vcs-Browser: https://salsa.debian.org/debian/vitetris
+Vcs-Git: https://salsa.debian.org/debian/vitetris.git
 Rules-Requires-Root: no
 
 Package: vitetris

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

-include /usr/share/dpkg/buildtools.mk
export CC

BACKUP_FILES = config.mk src/config.h src/src-conf.mk

%:
	dh $@

override_dh_auto_configure:
	for file in $(BACKUP_FILES); do \
	    cp $$file $$file.orig; \
	done
	
	./configure --prefix=/usr --bindir=/usr/games

execute_after_dh_auto_clean:
	rm -f vitetris
	
	for file in $(BACKUP_FILES); do \
	    test -r $$file.orig && mv $$file.orig $$file || true; \
	done
